{pkgs, ...}: {
  imports = [
    ./containers
    ./hermes-agent.nix
    ./netbird.nix
    #./n8n.nix
    ./mem0.nix
    ./postgres.nix
    ./restic.nix
    ./sound.nix
    ./udev.nix
    ./wireguard.nix
  ];
  # console.useXkbConfig = true;

  # services.xserver.xkb = {
  #   layout = "de,us";
  #   options = "ctrl:nocaps";
  # };

  # optional, falls du auch die TTY-Konsole deutsch willst:
  services = {
    hypridle.enable = true;
    espanso = {
      enable = true;
      package = pkgs.espanso-wayland;
    };
    printing.enable = true;
    gvfs.enable = true;
    trezord.enable = true;
    gnome.gnome-keyring.enable = true;
    qdrant.enable = true;
    # qdrant = {
    #   enable = true;
    #   settings = {
    #     service = {
    #       host = "0.0.0.0";
    #     };
    #   };
    # };
    upower.enable = true;
    avahi = {
      enable = true;
      nssmdns4 = true;
      publish = {
        addresses = true;
        workstation = true;
        userServices = true;
      };
    };
    displayManager.gdm.enable = true;
  };
}
